Modify a project member's permissionsAsk AIpatch https://api.sbgenomics.com/v2/projects/{project_owner}/{project}/members/{username}/permissionsThis call edits a user's permissions in a specified project. It can only be successfully made by a user who has admin permissions in the project.Path Paramsproject_ownerstringrequiredIf you are using Enterprise, use the name of the Division that owns the project; otherwise, enter the project owner's Platform username.projectstringrequiredThe short name of the project containing the project member.usernamestringrequiredThe project member whose permissions you are editing.Query ParamsfieldsstringSelector specifying a subset of fields to include in the response.Body ParamsreadbooleanUser can view file names, metadata, and workflows. They cannot view file contents. All members of a project have read permissions by default. Even if you try setting read permissions to false, they will still default to true.writebooleanUser can add, modify, and remove files and workflows in a project. Set value to true to assign the user write permission. Set to false to remove write permission.copybooleanUser can view file content, copy, and download files from a project. Set value to true to assign the user copy permission. Set to false to remove copy permission.executebooleanUser can execute workflows and abort tasks in a project. Set value to true to assign the user execute permission. Set to false to remove execute permission.adminbooleanUser can modify another user's permissions on a project, add or remove people from the project and manage funding sources. They also have all of the above permissions. Set value to true to assign the user admin permission. Set to false to remove admin permission.HeadersX-SBG-Auth-TokenstringrequiredYour Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.Response 200200Updated 5 months ago